package com.gic.haoban.manage.api.service;

import java.util.List;

import com.gic.haoban.manage.api.dto.StaffDepartmentRelatedDTO;

public interface StaffDepartmentRelatedApiService {

    List<StaffDepartmentRelatedDTO> listByDepartmentId(String departmentId);

    List<StaffDepartmentRelatedDTO> listByStaffId(String staffId);

    void updateById(StaffDepartmentRelatedDTO dto);

    StaffDepartmentRelatedDTO getOneByClerkCode(String clerkCode);


    /**
     * 根据员工与部门的关联关系查询
     *
     * @param staffDepartmentRelatedId
     * @return
     */
    StaffDepartmentRelatedDTO getByStaffDepartmentRelatedId(String staffDepartmentRelatedId);

    void deleteCode(StaffDepartmentRelatedDTO dto);


}
