package com.gic.haoban.manage.service.service.impl;

import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.haoban.manage.service.dao.mapper.WxEnterpriseRelatedMapper;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterpriseRelated;
import com.gic.haoban.manage.service.service.WxEnterpriseRelatedService;

import java.util.List;

@Service
public class WxEnterpriseRelatedServiceImpl implements WxEnterpriseRelatedService {
	@Autowired
	private WxEnterpriseRelatedMapper mapper;

	@Override
	public TabHaobanWxEnterpriseRelated getByGicEnterpriseIdByEnterpriseRelatedId(String wxEnterpriseRelatedId) {
		
		return mapper.selectByPrimaryKey(wxEnterpriseRelatedId);
	}

	@Override
	public TabHaobanWxEnterpriseRelated getEnterpriseByGicEnterpriseId(String gicEnterpriseId) {
		TabHaobanWxEnterpriseRelated tab = mapper.findOneByEnterpriseId(gicEnterpriseId);
		return tab;
	}

}
